Possible BRepBuilderAPI_NurbsConvert bug?

Hi, I apologize in advance if this is not the right place for bug issues.

The b-rep created by BRepBuilderAPI_NurbsConvert for the "linkrods.step" example appears to lose the orientation of reversed input faces, resulting both in visually incorrect surface normals, and a failure in BRepAlgo::IsValid().

To reproduce, use STEPControl_Reader to load the part, BRepBuilderAPI_NurbsConvert(shape) to do the conversion, and BRepAlgo::IsValid() to check the result. Note that the "Copy" parameter to BRepBuildAPI_NurbsConvert does not correct the error.

If someone has experienced this problem and has a workaround (or patch), please let me know.

Thanks,
Demian

Demian's picture

Hi,

I'm sorry, this was a false alarm---I had a stray "face.Orientation(TopAbs_FORWARD)" in my test code that caused the problem.

Again, I apologize, and please ignore this bug report.
Thanks,
Demian

salma's picture

Hi Demian
please ,have you any idea how to convert 2 BSplineSurfaces into 1 BSplineSurface.(or to merge it into 1).
thanks in advance

Demian's picture

Hi Aminn123,

I don't believe there is a function to do this in OCC. Try searching the forum for "merge surfaces" or "merge faces".

Sorry I can't help more,
Cheers,
Demian